#include <stdio.h>

int main(){
    int N, res=0, max_value=1;
    scanf("%d",&N);

    while(++res){
        if(max_value<N){
            max_value += res*6;
        }
        else{
            printf("%d",res);
            break;
        }
    }

    return 0;
}